package com.ym.mec.auth.service;

import java.util.List;

import com.ym.mec.auth.api.entity.SysUserDevice;
import com.ym.mec.common.service.BaseService;

public interface SysUserDeviceService extends BaseService<Integer, SysUserDevice> {

	List<SysUserDevice> queryByUserId(Integer userId);

	List<SysUserDevice> queryByDeviceNum(String deviceNum);

	/**
	 * 绑定设备号
	 * @param userId
	 * @param deviceNum
	 * @return
	 */
	boolean bindDevice(Integer userId, String deviceNum) throws Exception;
}